Loading...
Searching...
No Matches
coap_encode.c File Reference

Encoding and decoding Coap data types functions. More...

`#include "coap3/coap_internal.h"`
Include dependency graph for coap_encode.c:

Go to the source code of this file.

## Functions

int | coap_fls (unsigned int i)
int | coap_flsll (long long j)
unsigned int | coap_decode_var_bytes (const uint8_t *buf, size_t len)
| Decodes multiple-length byte sequences.
unsigned int | coap_encode_var_safe (uint8_t *buf, size_t length, unsigned int val)
| Encodes multiple-length byte sequences.
uint64_t | coap_decode_var_bytes8 (const uint8_t *buf, size_t len)
| Decodes multiple-length byte sequences.
unsigned int | coap_encode_var_safe8 (uint8_t *buf, size_t length, uint64_t val)
| Encodes multiple-length byte sequences.

## Detailed Description

Encoding and decoding Coap data types functions.

Definition in file coap_encode.c.

## Function Documentation

## coap_fls()

int coap_fls | ( | unsigned int | i | ) |

Definition at line 21 of file coap_encode.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## coap_flsll()

int coap_flsll | ( | long long | j | ) |

Definition at line 28 of file coap_encode.c.

Here is the caller graph for this function: